const argv = require('minimist')(process.argv);

const common = [
	'src/features/home.feature',
	'src/features/*.feature',
	'--require-module ts-node/register',
	'--require src/steps/**/*.ts',
	'-f summary',
	'-f json:report/report.json',
	'-f @qavajs/html-formatter:report/report.html',
].join(' ');

module.exports = (async function () {
	if (argv['p'] === 'ci') {
		require('dotenv').config({ path: './config/.ci.env' });
	} else {
		require('dotenv').config({ path: './config/.local.env' });
	}

	return {
		default: common,
		ci: common,
	};
})();
